A valid request URL is required to generate request examples{
"name": "<string>",
"priceListCode": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"defaultForSites": [
123
],
"description": "<string>",
"enabled": true,
"filteredInStorefront": true,
"indexedSites": [
123
],
"mappedCustomerSegments": [
"<string>"
],
"parentPriceListCode": "<string>",
"parentPriceListName": "<string>",
"priceListSequence": 123,
"rank": 123,
"resolvable": true,
"validForAllSites": true,
"validSites": [
123
]
}Retrieves a price list by its code.
A valid request URL is required to generate request examples{
"name": "<string>",
"priceListCode": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"defaultForSites": [
123
],
"description": "<string>",
"enabled": true,
"filteredInStorefront": true,
"indexedSites": [
123
],
"mappedCustomerSegments": [
"<string>"
],
"parentPriceListCode": "<string>",
"parentPriceListName": "<string>",
"priceListSequence": 123,
"rank": 123,
"resolvable": true,
"validForAllSites": true,
"validSites": [
123
]
}JWT Authorization header using the Bearer scheme.
limits which fields are returned in the response body
Success
Category
Name of the priceList. Max length is 100
External unique identifier of the PriceList. Must be unique an only contain url sanitized characters. Max length is 50
Show child attributes
Description of the price list. Max length is 300
Is the price list enabled and valid in the storefront. Default is true.
When true, only products with valid price list entries will be visible in the storefront. Default is false
List of customer segment code associated with this price list. Used to resolve default price list
Parent PriceList code, Can be null for root level priceLists
Parent PriceList name, Can be null for root level priceLists. Read only in contract.
Used to prioritize price list resolution when more than 1 price list maps
Determines if this price list can be resolved as the current price list within a session.
When true, no valid sites need to be specifiied. Price list is considered valid for all sites. Default is true
When ValidForAllSites = false, a list of siteIDs that the price list is valid for should be supplied